Skip to content
GET/{organizationId}/finance/cash/bankConnections/{connectionId}

Get bank connection

Returns a specific bank connection for a given organization

Required permissions:

  • cashAccount.insert

Path Parameters

organizationIdstringrequired
connectionIdintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Authentication: X-API-Key

Request

GET/{organizationId}/finance/cash/bankConnections/{connectionId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/cash/bankConnections/{connectionId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

connectionIdintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

namestringrequired

minLength: 1

maxLength: 80

descriptionstringrequired

maxLength: 120

importedAtdate-timerequired

Additional properties are not allowed.

canDeletebooleanrequired

Response

200
{
  "connectionId": 1,
  "name": "string",
  "description": "string",
  "importedAt": "2026-06-15T22:30:00Z",
  "bank": {
    "id": 1,
    "name": "string",
    "bic": "string",
    "icon": "string",
    "paymentCapabilities": {
      "sepaDirectDebit": true
    }
  },
  "interfaces": [
    {
      "bankingInterface": "XS2A",
      "userActionRequired": true,
      "lastManualUpdate": {
        "result": "OK",
        "errorMessage": "string",
        "timestamp": "2026-06-15T22:30:00Z"
      },
      "lastAutoUpdate": {
        "result": "OK",
        "errorMessage": "string",
        "timestamp": "2026-06-15T22:30:00Z"
      }
    }
  ],
  "canDelete": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}